<p-dialog header="Notifikasi" dismissableMask="true"  modal="true" [responsive]="true" [(visible)]="displayDialog">
    <p>
        catatan :
        <br>
        <textarea [rows]="5" [cols]="30" pInputTextarea autoResize="true"  [(ngModel)]="notApprvoceReason" maxlength="150" ></textarea>
    </p>
    
    <p-footer>
        <button pButton type="button" (click)="closeDialogNotif()"
            label="OK"
            icon="fa-ban"
            class="ui-button-primary flat-label-button">
        </button>
    </p-footer>
</p-dialog>


<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <!-- <p-panel> -->
        <!-- <p-header>
            {{'mpmApp.vehicleSalesOrder.home.createOrEditLabel' | translate}}
            {{stepLabel}}
            Detail VSO
        </p-header> -->
    <div class="ui-g" style="background-color: white">
        <div class="ui-g-12"  style="border: solid 1px black ">
            <div class="ui-g" >                
                <div class="ui-g-12">                
                    <div class="ui-g">                        
                        <div class="ui-g-4">
                            <div *ngIf="vehicleSalesOrder.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                                </div>
                                <ng-template #templateOrderNumber>
                                    {{'mpmApp.vehicleSalesOrder.noVSO'|translate}} : {{vehicleSalesOrder.orderNumber}}
                                </ng-template>
                                <ng-template #templateRequirementNumber>
                                    {{'mpmApp.vehicleSalesOrder.noVSO'|translate}} : {{vehicleSalesOrder.salesUnitRequirement.requirementNumber}}
                                </ng-template>
                        </div>                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.nameSales'|translate}} : {{vehicleSalesOrder.salesUnitRequirement.salesmanName}}
                        </div>                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.nameKorsales'|translate}} :
                        </div>                        
                    </div>
                </div>

                <!-- <div class="ui-g-6">                
                    <div class="ui-g">                        
                        <div class="ui-g-3">
                            {{'mpmApp.vehicleSalesOrder.admSales'|translate}}
                        </div>
                        <div class="ui-g-3">
                            {{'mpmApp.vehicleSalesOrder.afc'|translate}}
                        </div>
                        <div class="ui-g-3">
                            {{'mpmApp.vehicleSalesOrder.korsales'|translate}}
                        </div>
                        <div class="ui-g-3">
                            {{'mpmApp.vehicleSalesOrder.kacab'|translate}}
                        </div>                        
                    </div>
                </div> -->

                <div class="ui-g-12" >   
                    <div class="ui-g">
                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.tglVso'|translate}} : {{vehicleSalesOrder.dateOrder | date:'dd-MMM-yyyy'}}
                        </div>                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.idSales'|translate}} : {{vehicleSalesOrder.salesUnitRequirement.salesmanId}}
                        </div>                        
                        <div class="ui-g-4">
                            <div *ngIf="vehicleSalesOrder.salesUnitRequirement.saleTypeId == 21">
                                    Credit - {{vehicleSalesOrder.leasingName}} 
                            </div>
                            <div *ngIf="vehicleSalesOrder.salesUnitRequirement.saleTypeId == 20">
                                    {{'mpmApp.vehicleSalesOrder.cash'|translate}}
                                    
                            </div>
                            <!-- {{'mpmApp.vehicleSalesOrder.cashCredit'|translate}} : {{vehicleSalesOrder.salesUnitRequirement.saleTypeDescription}} -->
                        </div>                                                                    
                    </div>
                </div>

                <div class="ui-g-6">                
                    <!-- <div class="ui-g">                        
                        <div class="ui-g-3">
                            Admin sales
                        </div>
                        <div class="ui-g-3">
                            AFC
                        </div>
                        <div class="ui-g-3">
                            Korsal
                        </div>
                        <div class="ui-g-3">
                            Kacab
                        </div>                        
                    </div> -->
                </div>
            </div>            
        </div>

        <br>
       
        <div class="ui-g-12">
            <p-tabView>
              
                <p-tabPanel header="{{stepLabel[0]}}" [selected]="1==stepUi" *ngIf="!isMatchingMenu">
                    <p-panel [toggleable]="true">
                        <p-header>
                            {{'mpmApp.vehicleSalesOrder.verified'|translate}}
                        </p-header>
                        <div *ngIf="vehicleSalesOrder.currentStatus===17">
                                <jhi-vso-edit-data-verifikasi 
                                [data]="vehicleSalesOrder"
                                [isDisabled]="true">
                                </jhi-vso-edit-data-verifikasi>
                            </div>
                            <div *ngIf="vehicleSalesOrder.currentStatus!==17">
                                <jhi-vso-edit-data-verifikasi 
                                [data]="vehicleSalesOrder">
                                </jhi-vso-edit-data-verifikasi>
                            </div>
                    </p-panel>
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[1]}}" [selected]="2==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <!-- <jhi-vso-edit-data-person
                            [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                            display="customer"
                        ></jhi-vso-edit-data-person> -->
                        <jhi-vso-customer-view
                        [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                        ></jhi-vso-customer-view>
                    </div>                    
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[2]}}" [selected]="3==stepUi" *ngIf="!isMatchingMenu">
                    <!-- <jhi-vso-edit-data-stnk ></jhi-vso-edit-data-stnk> -->
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <!-- <jhi-vso-edit-data-person
                            [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                            display="stnk"
                        ></jhi-vso-edit-data-person> -->
                        <jhi-vso-stnk-view
                        [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement">
                        </jhi-vso-stnk-view>
                    </div>                                        
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[3]}}"  [selected]="4==stepUi">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">                        
                        <jhi-vso-edit-dataa-kendaraan 
                            [data]="vehicleSalesOrder.salesUnitRequirement"
                            [statusVso]="vehicleSalesOrder.currentStatus"
                            [vso]="vehicleSalesOrder"
                            [isMatchingMenu]="isMatchingMenu"
                        ></jhi-vso-edit-dataa-kendaraan>
                    </div>
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[4]}}" [selected]="5==stepUi" *ngIf="!isMatchingMenu">
                    <!-- <jhi-vso-edit-data-file></jhi-vso-edit-data-file>                 -->
                    <div *ngIf="vehicleSalesOrder.customer">
                        <!-- {{vehicleSalesOrder.customer.partyId}} -->
                        
                        <jhi-party-document-as-list 
                            [idparty] = "vehicleSalesOrder.customer.partyId"
                            [readonly]="false">
                        </jhi-party-document-as-list>
                    </div>
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[5]}}" [selected]="6==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder">       
                        <jhi-vso-edit-data-harga-pembayaran
                            [data]="vehicleSalesOrder.salesUnitRequirement"
                            [vso]="vehicleSalesOrder"
                        >
                        </jhi-vso-edit-data-harga-pembayaran>
                   </div>
                    <br>
                    <br>
                    <div *ngIf="vehicleSalesOrder.afcVeriDate!=null">                                                
                        <div class="ui-g-12">
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.verified'|translate}} : {{vehicleSalesOrder.afcVeriDate | date}}</div>                                                            
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}} : {{getDescription(vehicleSalesOrder.afcVerifyValue)}}</div>
                            <div *ngIf="vehicleSalesOrder.afcVerifyValue==2">
                                <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.note'|translate}} : {{vehicleSalesOrder.afcNotApprvNote}}</div>
                            </div>
                        </div>
                    </div>
                    <div>
                        <button pButton type="button" (click)="approveAfc(1)"
                            label="Approve AFC"
                            icon="fa-thumbs-up"
                            [disabled]="vehicleSalesOrder.afcVerifyValue!=0 " 
                            class="ui-button-primary flat-label-button">
                        </button>
                        <button pButton type="button" (click)="openDialogNotif('afc')"
                            label="Not Approve AFC"
                            icon="fa-ban"
                            [disabled]="vehicleSalesOrder.afcVerifyValue!=0 "  
                            class="ui-button-primary flat-label-button">
                        </button>
                        <!-- <button pButton type="button" (click)="autoMatch()"
                            label="Auto matching"
                            icon="fa-eyes"
                            [disabled]="vehicleSalesOrder.afcVerifyValue==0 "  
                            class="ui-button-primary flat-label-button">
                        </button> -->
                    </div>
                    
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[6]}}" [selected]="7==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <jhi-vso-edit-data-note [data]="vehicleSalesOrder.salesUnitRequirement" ></jhi-vso-edit-data-note>
                    </div>
                    <br>       
                    <div *ngIf="vehicleSalesOrder.adminSalesVeriDate!=null">
                        <div class="ui-g">
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.verified'|translate}} : {{vehicleSalesOrder.adminSalesVeriDate | date}}</div>                                                            
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}} : {{getDescription(vehicleSalesOrder.adminSalesVerifyValue)}}</div>
                            <div *ngIf="vehicleSalesOrder.adminSalesVerifyValue==2">
                                <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.note'|translate}} : {{vehicleSalesOrder.adminSalesNotApprvNote}}</div>
                            </div>
                        </div>
                    </div>
                    <button pButton type="button" (click)="approveAdminSales(1)"
                        label="Approve Admin Sales"
                        icon="fa-thumbs-up"
                        [disabled]="vehicleSalesOrder.adminSalesVerifyValue!=0" 
                        class="ui-button-primary flat-label-button"
                        >
                    </button>
                    <button pButton type="button" (click)="openDialogNotif('admsls')"
                        label="Not Approve Admin Sales"
                        icon="fa-ban"
                        [disabled]="vehicleSalesOrder.adminSalesVerifyValue!=0" 
                        class="ui-button-primary flat-label-button">
                    </button>
                </p-tabPanel>
                
                <p-tabPanel header="{{stepLabel[7]}}" [selected]="8==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.currentStatus===17">
                        <div *ngIf="vehicleSalesOrder.salesUnitRequirement.customerId">
                            <jhi-vso-edit-data-cdb
                                [idCustomer]="vehicleSalesOrder.salesUnitRequirement.customerId"
                                [dataStnk]="vehicleSalesOrder.salesUnitRequirement"
                                [editabled]="true"
                                [isDisable]="true">
                            ></jhi-vso-edit-data-cdb>
                        </div>
                    </div>

                    <div *ngIf="vehicleSalesOrder.currentStatus!==17">
                        <div *ngIf="vehicleSalesOrder.salesUnitRequirement.customerId">
                            <jhi-vso-edit-data-cdb
                                [idCustomer]="vehicleSalesOrder.salesUnitRequirement.customerId"
                                [dataStnk]="vehicleSalesOrder.salesUnitRequirement"
                                [editabled]="true">
                            ></jhi-vso-edit-data-cdb>
                        </div>
                    </div>
                </p-tabPanel>
            </p-tabView>    
        </div>
        <div class="ui-g-12">
            <hr>
            <div style="text-align: right">
                <button pButton type="button" (click)="closeForm()"
                    label="{{'entity.action.back' | translate}}"
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="button" (click)="prev()"
                    label="{{'mpmApp.vehicleSalesOrder.prev' | translate}}"
                    icon="fa-ban"
                    *ngIf="!isMatchingMenu"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="button" (click)="next()"
                    label="{{'mpmApp.vehicleSalesOrder.next' | translate}}"
                    icon="fa-ban"
                    *ngIf="!isMatchingMenu"
                    class="ui-button-danger flat-label-button">
                </button>
            </div>
            <br><br>
        </div>
    </div>

    <!-- <div class="modal-body" >            
        
    </div>
         -->
    <!-- </p-panel> -->
</form>
